<?php
/**
* 404 Page Settings.
*
* @package Restaurant Culinary
*/

$restaurant_culinary_default = restaurant_culinary_get_default_theme_options();

$wp_customize->add_section( 'restaurant_culinary_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'restaurant-culinary' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'restaurant_culinary_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'restaurant_culinary_404_main_title',
    array(
        'default'           => $restaurant_culinary_default['restaurant_culinary_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'restaurant_culinary_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'restaurant-culinary' ),
        'section'  => 'restaurant_culinary_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'restaurant_culinary_404_subtitle_one',
    array(
        'default'           => $restaurant_culinary_default['restaurant_culinary_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'restaurant_culinary_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'restaurant-culinary' ),
        'section'  => 'restaurant_culinary_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'restaurant_culinary_404_para_one',
    array(
        'default'           => $restaurant_culinary_default['restaurant_culinary_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'restaurant_culinary_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'restaurant-culinary' ),
        'section'  => 'restaurant_culinary_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'restaurant_culinary_404_subtitle_two',
    array(
        'default'           => $restaurant_culinary_default['restaurant_culinary_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'restaurant_culinary_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'restaurant-culinary' ),
        'section'  => 'restaurant_culinary_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'restaurant_culinary_404_para_two',
    array(
        'default'           => $restaurant_culinary_default['restaurant_culinary_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'restaurant_culinary_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'restaurant-culinary' ),
        'section'  => 'restaurant_culinary_404_page_settings',
        'type'     => 'text',
    )
);